%global pkg_name enumerator

%global common_summary Implementation of Oleg Kiselyov's left-fold enumerators

%global common_description %{common_summary}.

%global ghc_pkg_deps ghc-text-devel, ghc-transformers-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.4.7
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -p readme.txt %{buildroot}%{_docdir}/%{name}-%{version}/readme.txt


%{?ghc_lib_package}


%changelog
* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.7-1
- Update to 0.4.7

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.5-3
- Rebuild for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.5-1
- Update to 0.4.5

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.4-2
- Update to cabal2spec-0.22.4
- Rebuild

* Fri Dec 17 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.4-1
- Update to 0.4.4

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.3.1-1
- Update to 0.4.3.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.0.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
